Bug 865750 - libsilc false library provides
libsilc false library provides
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libsilc (Show other bugs)
5.10
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Matthew Barnes
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 06:16 EDT by Robin Lee
Modified: 2014-07-16 09:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-16 09:24:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robin Lee 2012-10-12 06:16:55 EDT
libsilc rpm should not provides:

libaes.so.0  
libblowfish.so.0  
libcast.so.0  
libmd5.so.0  
libnone.so.0  
librc5.so.0  
librsa.so.0  
libsha1.so.0
Comment 1 RHEL Product and Program Management 2014-03-07 07:40:11 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.
Comment 2 Robin Lee 2014-03-07 21:23:57 EST
The package is libsilc-1.0.2-2.fc6.i386.rpm, I found from CentOS 5.10.
The x86_64 version has the same issue.

[cheese@localhost temp]$ rpm -qp --provides libsilc-1.0.2-2.fc6.i386.rpm 
warning: libsilc-1.0.2-2.fc6.i386.rpm: Header V3 DSA/SHA1 Signature, key ID e8562897: NOKEY
libaes.so.0
libblowfish.so.0
libcast.so.0
libmd5.so.0
libnone.so.0
librc5.so.0
librsa.so.0
libsha1.so.0
libsilc-1.0.so.2
libsilcclient-1.0.so.1
libtwofish.so.0
libsilc = 0:1.0.2-2.fc6
[cheese@localhost temp]$ rpm -qpl libsilc-1.0.2-2.fc6.i386.rpm 
warning: libsilc-1.0.2-2.fc6.i386.rpm: Header V3 DSA/SHA1 Signature, key ID e8562897: NOKEY
/usr/lib/libsilc-1.0.so.2
/usr/lib/libsilc-1.0.so.2.4.1
/usr/lib/libsilcclient-1.0.so.1
/usr/lib/libsilcclient-1.0.so.1.3.2
/usr/lib/silc
/usr/lib/silc/modules
/usr/lib/silc/modules/aes.sim.so
/usr/lib/silc/modules/blowfish.sim.so
/usr/lib/silc/modules/cast.sim.so
/usr/lib/silc/modules/md5.sim.so
/usr/lib/silc/modules/none.sim.so
/usr/lib/silc/modules/rc5.sim.so
/usr/lib/silc/modules/rsa.sim.so
/usr/lib/silc/modules/sha1.sim.so
/usr/lib/silc/modules/twofish.sim.so
/usr/share/doc/libsilc-1.0.2
/usr/share/doc/libsilc-1.0.2/COPYING
/usr/share/doc/libsilc-1.0.2/CREDITS
/usr/share/doc/libsilc-1.0.2/FAQ
Comment 3 Ondrej Vasik 2014-07-16 09:24:48 EDT
You are likely correct with the false provides, however RHEL 5 is now in production phase 3 and this is not critical or security issue. libsilc is not scheduled for RHEL 5.11 update, therefore closing this bug WONTFIX. In Fedora it was fixed by http://pkgs.fedoraproject.org/cgit/libsilc.git/commit/?id=619894e3708ba25a62e145c40982fb517a2f0f75

Note You need to log in before you can comment on or make changes to this bug.